OGRE: Ogre::QueuedRenderableVisitor Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::QueuedRenderableVisitor Class Reference

Visitor interface for items in a QueuedRenderableCollection. More...

`#include <OgreRenderQueueSortingGrouping.h>`

Inheritance diagram for Ogre::QueuedRenderableVisitor:

[legend]
List of all members.

## Public Member Functions

| QueuedRenderableVisitor ()
virtual | ~QueuedRenderableVisitor ()
virtual void | visit (const RenderablePass *rp)=0
| Called when visiting a RenderablePass, ie items in a sorted collection where items are not grouped by pass.
virtual bool | visit (const Pass *p)=0
virtual void | visit (const Renderable *r)=0
| Visit method called once per Renderable on a grouped collection.

## Detailed Description

Visitor interface for items in a QueuedRenderableCollection.

Remarks:
  Those wishing to iterate over the items in a QueuedRenderableCollection should implement this visitor pattern, since internal organisation of the collection depends on the sorting method in use.

Definition at line 64 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::QueuedRenderableVisitor::QueuedRenderableVisitor | ( |  | ) |

| Definition at line 67 of file OgreRenderQueueSortingGrouping.h.

virtual Ogre::QueuedRenderableVisitor::~QueuedRenderableVisitor | ( |  | ) | `[virtual]`

| Definition at line 68 of file OgreRenderQueueSortingGrouping.h.

## Member Function Documentation

virtual void Ogre::QueuedRenderableVisitor::visit | ( | const Renderable * | r | ) | `[pure virtual]`

Visit method called once per Renderable on a grouped collection.

Remarks:
  If this method is called, the RenderablePass visit method will not be called for this collection.

Implemented in Ogre::SceneManager::SceneMgrQueuedRenderableVisitor.

virtual bool Ogre::QueuedRenderableVisitor::visit | ( | const Pass * | p | ) | `[pure virtual]`

| Implemented in Ogre::SceneManager::SceneMgrQueuedRenderableVisitor.

virtual void Ogre::QueuedRenderableVisitor::visit | ( | const RenderablePass * | rp | ) | `[pure virtual]`

Called when visiting a RenderablePass, ie items in a sorted collection where items are not grouped by pass.

Remarks:
  If this is called, neither of the other 2 visit methods will be called.

Implemented in Ogre::SceneManager::SceneMgrQueuedRenderableVisitor.

The documentation for this class was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:00 2008